Page MenuHomePhabricator

Deploy WikibaseMediaInfo extension to production
Closed, ResolvedPublic

Description

The WikibaseMediaInfo extension is needed for providing structured data to Wikimedia Commons in the future. It holds the new entity type (next to items and properties) that is going to handle structured data for multimedia files.

The extension is in gerrit at mediawiki/extensions/WikibaseMediaInfo.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable WikibaseMediaInfo on Commons

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 2:40 PM

Actual use in production is blocked on having Multi-Content-Revisions in a baseline version.

Lydia_Pintscher changed the task status from Open to Stalled.May 5 2017, 2:41 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher triaged this task as Medium priority.Jun 11 2017, 4:39 PM
Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Nov 22 2017, 9:04 PM

https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseMediaInfo/+/446773 adds a feature flag which allows us to do this immediately without altering production (beyond the creation of namespaces).

Change 466955 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable WikibaseMediaInfo on Commons

https://gerrit.wikimedia.org/r/466955

Jdforrester-WMF changed the task status from Stalled to Open.Jan 9 2019, 11:01 PM

Change 466955 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikibaseMediaInfo on Commons

https://gerrit.wikimedia.org/r/466955

Mentioned in SAL (#wikimedia-operations) [2019-01-10T16:32:25Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T159708 Enable Structured Data on Commons, captions-only (duration: 00m 53s)

Jdforrester-WMF closed this task as Resolved.Jan 10 2019, 4:42 PM
Jdforrester-WMF removed a project: Patch-For-Review.